%define	upstream_name	 libwww-perl
%define upstream_version 6.67

%global	__requires_exclude Authen::NTLM|HTTP::GHTTP|Win32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The World-Wide Web library for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(Encode::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Listing) >= 6.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTTP::Cookies) >= 6.0.0
BuildRequires: perl(HTTP::Daemon) >= 6.120.0
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Negotiate) >= 6.0.0
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(HTTP::Request::Common) >= 6.0.0
BuildRequires: perl(HTTP::Response) >= 6.0.0
BuildRequires: perl(HTTP::Status) >= 6.180.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Net::FTP) >= 2.580.0
BuildRequires: perl(Net::HTTP) >= 6.180.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(WWW::RobotRules) >= 6.0.0
BuildRequires: perl(parent) >= 0.217.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl(HTTP::Cookies) >= 6
Requires:   perl(LWP::Protocol::https)
Provides:   perl(LWP::Protocol::http::SocketMethods) = %{version}

%description
The libwww-perl collection is a set of Perl modules which provides a simple and
consistent application programming interface (API) to the World-Wide Web. The
main focus of the library is to provide classes and functions that allow you to
write WWW clients. The library also contain modules that are of more general
use and even classes that help you implement simple HTTP servers.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/yes | %__perl Makefile.PL --aliases INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%license LICENSE
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Jun 15 2022 tv <tv> 6.670.0-1.mga9
+ Revision: 1864493
- update to 6.67

* Thu May 26 2022 tv <tv> 6.660.0-1.mga9
+ Revision: 1860231
- update to 6.66

* Thu May 12 2022 tv <tv> 6.650.0-1.mga9
+ Revision: 1857727
- update to 6.65

* Thu Apr 28 2022 tv <tv> 6.640.0-1.mga9
+ Revision: 1854829
- update to 6.64

* Fri Apr 08 2022 tv <tv> 6.620.0-1.mga9
+ Revision: 1848066
- update to 6.62

* Mon Mar 28 2022 umeabot <umeabot> 6.610.0-2.mga9
+ Revision: 1830559
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 tv <tv> 6.610.0-1.mga9
+ Revision: 1769703
- update to 6.61

* Tue Dec 21 2021 tv <tv> 6.600.0-1.mga9
+ Revision: 1763117
- update to 6.60

* Sat Dec 04 2021 tv <tv> 6.590.0-1.mga9
+ Revision: 1760680
- update to 6.59

* Thu Oct 28 2021 tv <tv> 6.580.0-1.mga9
+ Revision: 1753012
- update to 6.58

* Mon Sep 27 2021 tv <tv> 6.570.0-1.mga9
+ Revision: 1746616
- update to 6.57

* Sat Aug 21 2021 tv <tv> 6.560.0-1.mga9
+ Revision: 1742056
- update to 6.56

* Wed Jun 23 2021 tv <tv> 6.550.0-1.mga9
+ Revision: 1731822
- update to 6.55

* Fri May 07 2021 tv <tv> 6.540.0-1.mga9
+ Revision: 1722135
- update to 6.54

* Tue Mar 09 2021 tv <tv> 6.530.0-1.mga9
+ Revision: 1700783
- update to 6.53

* Fri Jan 15 2021 luigiwalser <luigiwalser> 6.520.0-1.mga8
+ Revision: 1671953
- 6.52

* Wed Dec 30 2020 luigiwalser <luigiwalser> 6.510.0-1.mga8
+ Revision: 1665536
- 6.51
- update source URL

* Thu Dec 17 2020 luigiwalser <luigiwalser> 6.500.0-2.mga8
+ Revision: 1660531
- rebuild for missing signature

* Thu Dec 17 2020 tv <tv> 6.500.0-1.mga8
+ Revision: 1659299
- update to 6.50

* Thu Sep 24 2020 tv <tv> 6.490.0-1.mga8
+ Revision: 1629676
- update to 6.49

* Mon Sep 21 2020 tv <tv> 6.480.0-1.mga8
+ Revision: 1629026
- update to 6.48

* Wed Aug 19 2020 tv <tv> 6.470.0-1.mga8
+ Revision: 1615753
- update to 6.47

* Thu Jun 25 2020 tv <tv> 6.460.0-1.mga8
+ Revision: 1599192
- update to 6.46

* Tue Jun 09 2020 tv <tv> 6.450.0-1.mga8
+ Revision: 1591284
- update to 6.45

* Wed Apr 15 2020 tv <tv> 6.440.0-1.mga8
+ Revision: 1567445
- update to 6.44

* Tue Feb 18 2020 umeabot <umeabot> 6.430.0-2.mga8
+ Revision: 1538807
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 tv <tv> 6.430.0-1.mga8
+ Revision: 1463144
- update to 6.43

* Fri Nov 22 2019 tv <tv> 6.420.0-1.mga8
+ Revision: 1462171
- update to 6.42

* Tue Oct 29 2019 tv <tv> 6.410.0-1.mga8
+ Revision: 1456537
- update to 6.41

* Fri Oct 25 2019 tv <tv> 6.400.0-1.mga8
+ Revision: 1455764
- update to 6.40

* Mon Aug 26 2019 tv <tv> 6.390.0-3.mga8
+ Revision: 1432466
- rebuild with perl-5.30

* Mon Aug 26 2019 tmb <tmb> 6.390.0-2.mga8
+ Revision: 1432442
- rebuild for perl-5.30.0-4.mga8

* Sat Jun 29 2019 shlomif <shlomif> 6.390.0-1.mga8
+ Revision: 1415594
- update to 6.39

* Tue Mar 26 2019 tv <tv> 6.380.0-1.mga7
+ Revision: 1380305
- update to 6.38

* Thu Mar 07 2019 tv <tv> 6.370.0-1.mga7
+ Revision: 1372248
- update to 6.37

* Fri Jan 04 2019 wally <wally> 6.360.0-2.mga7
+ Revision: 1349181
- require perl(LWP::Protocol::https) for https support

* Wed Oct 10 2018 tv <tv> 6.360.0-1.mga7
+ Revision: 1319301
- update to 6.36

* Thu Sep 20 2018 umeabot <umeabot> 6.350.0-2.mga7
+ Revision: 1287499
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 6.350.0-1.mga7
+ Revision: 1246510
- update to 6.35

* Thu Jun 07 2018 tv <tv> 6.340.0-1.mga7
+ Revision: 1235130
- update to 6.34

* Sat Mar 03 2018 tv <tv> 6.330.0-1.mga7
+ Revision: 1206274
- update to 6.33

* Tue Dec 12 2017 tv <tv> 6.310.0-1.mga7
+ Revision: 1182390
- update to 6.31

* Sat Dec 09 2017 tv <tv> 6.300.0-1.mga7
+ Revision: 1181804
- update to 6.30

* Tue Nov 07 2017 tv <tv> 6.290.0-1.mga7
+ Revision: 1176394
- update to 6.29

* Tue Oct 03 2017 tv <tv> 6.270.0-4.mga7
+ Revision: 1165163
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 6.270.0-3.mga7
+ Revision: 1161484
- explicitely require perl(HTTP::Cookies) thus fixing building other pkgs

* Sat Sep 23 2017 sander85 <sander85> 6.270.0-2.mga7
+ Revision: 1158017
- Provide perl(LWP::Protocol::http::SocketMethods) so the package can be installed

* Sat Sep 23 2017 tv <tv> 6.270.0-1.mga7
+ Revision: 1157865
- update to 6.27
- use %%license

* Sun Jul 23 2017 tv <tv> 6.260.0-1.mga7
+ Revision: 1129548
- use std macros
- adjust file list
- new release

* Sun Jun 19 2016 pterjan <pterjan> 6.150.0-2.mga6
+ Revision: 1029139
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 6.150.0-1.mga6
+ Revision: 923806
- update to 6.15

* Tue Jun 23 2015 sander85 <sander85> 6.130.0-1.mga6
+ Revision: 840206
- update to 6.13

* Sun Oct 19 2014 umeabot <umeabot> 6.80.0-4.mga5
+ Revision: 789615
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.80.0-3.mga5
+ Revision: 744931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.80.0-2.mga5
+ Revision: 687038
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Jul 25 2014 sander85 <sander85> 6.80.0-1.mga5
+ Revision: 656466
- update to 6.08

* Wed Jul 02 2014 sander85 <sander85> 6.70.0-1.mga5
+ Revision: 642268
- update to 6.07

* Tue May 06 2014 jquelin <jquelin> 6.60.0-1.mga5
+ Revision: 620669
- update to 6.06

* Sat Oct 19 2013 umeabot <umeabot> 6.50.0-2.mga4
+ Revision: 525971
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 6.50.0-1.mga4
+ Revision: 435048
- update to 6.05

* Sun Jan 13 2013 umeabot <umeabot> 6.40.0-2.mga3
+ Revision: 375485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.40.0-1.mga2
+ Revision: 212975
- update to 6.04

* Thu Nov 03 2011 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 162222
- update to 6.03

* Sat Jun 11 2011 spuhler <spuhler> 6.20.0-2.mga2
+ Revision: 103992
- increase rel for rebuild

* Mon Apr 04 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 80371
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67424
- update to 6.01

* Wed Jan 19 2011 jquelin <jquelin> 5.837.0-2.mga1
+ Revision: 24234
- rebuild
- fix specs

* Thu Jan 13 2011 jquelin <jquelin> 5.837.0-1.mga1
+ Revision: 12453
- imported package perl-libwww-perl

